Subject: Re: bug#35739: Bad signature from GNU ELPA

From: Eli Zaretskii <[email-masked]>
Date: Thu, 23 May 2019 17:15:33 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Thu, 23 May 2019 08:10:41 -0400
> 
> > Then how about an optional argument to disable 'charset' handling
> > instead?  That'd be backward-compatible.
> 
> I think people have already enough trouble dealing with character
> encodings that we shouldn't encourage them to put decoded text into
> unibyte buffers (I don't even know where/if the semantics of this is
> described somewhere in our manuals or code).
> 
> IOW, from where I stand, the change in behavior is just fixing
> a long-standing bug.

I guess we are standing on different places, then.  I'd like us not to
change that behavior by default.